/* $Id: hello.groovy,v 1.2 2009/07/06 15:53:55 rjs Exp $
 *
 * PDFlib client: hello example in Groovy
 */

import com.pdflib.pdflib;
import com.pdflib.PDFlibException;

int font;

try{
    def p = new pdflib()

    /* This means we must check return values of load_font() etc. */
    p.set_option("errorpolicy=return");

    if (p.begin_document("hello.pdf", "") == -1)
        throw new Exception("Error: " + p.get_errmsg());

    p.set_info("Creator", "hello.groovy");
    p.set_info("Author", "Thomas Merz");
    p.set_info("Title", "Hello world (Groovy)!");

    p.begin_page_ext(595, 842, "");

    font = p.load_font("Helvetica-Bold", "unicode", "");

    if (font == -1)
        throw new Exception("Error: " + p.get_errmsg());

    p.setfont(font, 24);

    p.set_text_pos(50, 700);
    p.show("Hello world!");
    p.continue_text("(says Groovy)");
    p.end_page_ext("");

    p.end_document("");

} catch (PDFlibException e) {
    System.err.print("PDFlib exception occurred in hello sample:\n");
    System.err.print("[" + e.get_errnum() + "] " + e.get_apiname() +
                    ": " + e.get_errmsg() + "\n");
} catch (Exception e) {
    System.err.println(e.getMessage());
}
